# HG changeset patch
# Node ID 902e0b8c5785
# Parent  13d97dcd0e67
diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -801,6 +801,7 @@
 		* pidgin_dialog_get_vbox
 		* pidgin_dialog_get_vbox_with_properties
 		* pidgin_dialogs_alias_contact
+		* pidgin_dialogs_log
 		* pidgin_make_mini_dialog_with_custom_icon; use
 		  pidgin_mini_dialog_new_with_custom_icon instead.
 		* pidgin_make_pretty_arrows
diff --git a/pidgin/gtkblist.c b/pidgin/gtkblist.c
--- a/pidgin/gtkblist.c
+++ b/pidgin/gtkblist.c
@@ -47,7 +47,6 @@
 #include "pidgin/pidgincore.h"
 #include "pidgin/pidgindebug.h"
 #include "pidgin/pidgingdkpixbuf.h"
-#include "pidgin/pidginlog.h"
 #include "pidgin/pidginmooddialog.h"
 #include "pidgin/pidginplugininfo.h"
 #include "pidginscrollbook.h"
@@ -692,49 +691,6 @@
 	gtk_tree_path_free(path);
 }
 
-static void gtk_blist_menu_showlog_cb(GtkWidget *w, PurpleBlistNode *node)
-{
-	PurpleLogType type;
-	PurpleAccount *account;
-	char *name = NULL;
-
-	pidgin_set_cursor(gtkblist->window, GDK_WATCH);
-
-	if (PURPLE_IS_BUDDY(node)) {
-		PurpleBuddy *b = (PurpleBuddy*) node;
-		type = PURPLE_LOG_IM;
-		name = g_strdup(purple_buddy_get_name(b));
-		account = purple_buddy_get_account(b);
-	} else if (PURPLE_IS_CHAT(node)) {
-		PurpleChat *c = PURPLE_CHAT(node);
-		PurpleProtocol *protocol = NULL;
-		type = PURPLE_LOG_CHAT;
-		account = purple_chat_get_account(c);
-		protocol = purple_account_get_protocol(account);
-		if (protocol) {
-			name = purple_protocol_chat_get_name(PURPLE_PROTOCOL_CHAT(protocol),
-			                                     purple_chat_get_components(c));
-		}
-	} else if (PURPLE_IS_CONTACT(node)) {
-		pidgin_log_show_contact(PURPLE_CONTACT(node));
-		pidgin_clear_cursor(gtkblist->window);
-		return;
-	} else {
-		pidgin_clear_cursor(gtkblist->window);
-
-		/* This callback should not have been registered for a node
-		 * that doesn't match the type of one of the blocks above. */
-		g_return_if_reached();
-	}
-
-	if (name && account) {
-		pidgin_log_show(type, name, account);
-		pidgin_clear_cursor(gtkblist->window);
-	}
-
-	g_free(name);
-}
-
 static void gtk_blist_menu_showoffline_cb(GtkWidget *w, PurpleBlistNode *node)
 {
 	if (PURPLE_IS_BUDDY(node))
@@ -1530,15 +1486,6 @@
 		}
 	}
 
-	if (node->parent && node->parent->child->next &&
-	      !sub && !contact_expanded) {
-		pidgin_new_menu_item(menu, _("View _Log"), NULL,
-				G_CALLBACK(gtk_blist_menu_showlog_cb), contact);
-	} else if (!sub) {
-		pidgin_new_menu_item(menu, _("View _Log"), NULL,
-				G_CALLBACK(gtk_blist_menu_showlog_cb), buddy);
-	}
-
 	if (!purple_blist_node_is_transient(node)) {
 		gboolean show_offline = purple_blist_node_get_bool(node, "show_offline");
 		pidgin_new_menu_item(menu,
@@ -1753,8 +1700,6 @@
 	pidgin_new_check_item(menu, _("Persistent"),
 	                      G_CALLBACK(gtk_blist_menu_persistent_cb), node,
 	                      persistent);
-	pidgin_new_menu_item(menu, _("View _Log"), NULL,
-	                     G_CALLBACK(gtk_blist_menu_showlog_cb), node);
 
 	pidgin_append_blist_node_proto_menu(menu, purple_account_get_connection(purple_chat_get_account(c)), node);
 	pidgin_append_blist_node_extended_menu(menu, node);
@@ -1780,12 +1725,6 @@
 
 	menu = gtk_menu_new();
 
-	pidgin_new_menu_item(menu, _("View _Log"), NULL,
-				 G_CALLBACK(gtk_blist_menu_showlog_cb),
-				 node);
-
-	pidgin_separator(menu);
-
 	pidgin_new_menu_item(menu, _("_Alias..."), NULL,
 	                     G_CALLBACK(gtk_blist_menu_alias_cb), node);
 	pidgin_new_menu_item(menu, _("_Remove"), NULL,
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -58,7 +58,6 @@
 #include "pidgingdkpixbuf.h"
 #include "pidgininfopane.h"
 #include "pidgininvitedialog.h"
-#include "pidginlog.h"
 #include "pidginmenutray.h"
 #include "pidginmessage.h"
 #include "pidginpresenceicon.h"
@@ -604,56 +603,6 @@
 	g_free(buf);
 }
 
-static void
-menu_view_log_cb(GtkAction *action, gpointer data)
-{
-	PidginConvWindow *win = data;
-	PurpleConversation *conv;
-	PurpleLogType type;
-	PidginBuddyList *gtkblist;
-	const char *name;
-	PurpleAccount *account;
-	GSList *buddies;
-	GSList *cur;
-
-	conv = pidgin_conv_window_get_active_conversation(win);
-
-	if (PURPLE_IS_IM_CONVERSATION(conv))
-		type = PURPLE_LOG_IM;
-	else if (PURPLE_IS_CHAT_CONVERSATION(conv))
-		type = PURPLE_LOG_CHAT;
-	else
-		return;
-
-	gtkblist = pidgin_blist_get_default_gtk_blist();
-
-	pidgin_set_cursor(gtkblist->window, GDK_WATCH);
-	pidgin_set_cursor(win->window, GDK_WATCH);
-
-	name = purple_conversation_get_name(conv);
-	account = purple_conversation_get_account(conv);
-
-	buddies = purple_blist_find_buddies(account, name);
-	for (cur = buddies; cur != NULL; cur = cur->next)
-	{
-		PurpleBlistNode *node = cur->data;
-		if ((node != NULL) && ((node->prev != NULL) || (node->next != NULL)))
-		{
-			pidgin_log_show_contact((PurpleContact *)node->parent);
-			g_slist_free(buddies);
-			pidgin_clear_cursor(gtkblist->window);
-			pidgin_clear_cursor(win->window);
-			return;
-		}
-	}
-	g_slist_free(buddies);
-
-	pidgin_log_show(type, name, account);
-
-	pidgin_clear_cursor(gtkblist->window);
-	pidgin_clear_cursor(win->window);
-}
-
 #ifdef USE_VV
 static void
 menu_initiate_media_call_cb(GtkAction *action, gpointer data)
@@ -1652,7 +1601,6 @@
 {
 	/* Conversation menu */
 	{ "ConversationMenu", NULL, N_("_Conversation"), NULL, NULL, NULL },
-	{ "ViewLog", NULL, N_("View _Log"), NULL, NULL, G_CALLBACK(menu_view_log_cb) },
 	{ "SaveAs", NULL, N_("_Save As..."), NULL, NULL, G_CALLBACK(menu_save_as_cb) },
 
 #ifdef USE_VV
@@ -1684,7 +1632,6 @@
 "<ui>"
 	"<menubar name='Conversation'>"
 		"<menu action='ConversationMenu'>"
-			"<menuitem action='ViewLog'/>"
 			"<menuitem action='SaveAs'/>"
 			"<separator/>"
 #ifdef USE_VV
@@ -2058,10 +2005,6 @@
 	menuitem = gtk_ui_manager_get_widget(win->menu->ui, "/Conversation/ConversationMenu");
 	g_signal_connect(G_OBJECT(menuitem), "activate", G_CALLBACK(menubar_activated), win);
 
-	win->menu->view_log =
-		gtk_ui_manager_get_action(win->menu->ui,
-		                          "/Conversation/ConversationMenu/ViewLog");
-
 #ifdef USE_VV
 	win->menu->audio_call =
 		gtk_ui_manager_get_action(win->menu->ui,
diff --git a/pidgin/gtkdialogs.c b/pidgin/gtkdialogs.c
--- a/pidgin/gtkdialogs.c
+++ b/pidgin/gtkdialogs.c
@@ -41,7 +41,6 @@
 #include "gtkutils.h"
 #include "pidgincore.h"
 #include "pidgindialog.h"
-#include "pidginlog.h"
 
 static GList *dialogwindows = NULL;
 
@@ -271,95 +270,6 @@
 }
 
 static void
-pidgin_dialogs_log_cb(gpointer data, PurpleRequestFields *fields)
-{
-	char *username;
-	PurpleAccount *account;
-	GSList *cur;
-
-	account  = purple_request_fields_get_account(fields, "account");
-
-	username = g_strdup(purple_normalize(account,
-		purple_request_fields_get_string(fields,  "screenname")));
-
-	if (username != NULL && *username != '\0' && account != NULL)
-	{
-		PidginBuddyList *gtkblist = pidgin_blist_get_default_gtk_blist();
-		GSList *buddies;
-
-		pidgin_set_cursor(gtkblist->window, GDK_WATCH);
-
-		buddies = purple_blist_find_buddies(account, username);
-		for (cur = buddies; cur != NULL; cur = cur->next)
-		{
-			PurpleBlistNode *node = cur->data;
-			if ((node != NULL) && ((node->prev != NULL) || (node->next != NULL)))
-			{
-				pidgin_log_show_contact((PurpleContact *)node->parent);
-				g_slist_free(buddies);
-				pidgin_clear_cursor(gtkblist->window);
-				g_free(username);
-				return;
-			}
-		}
-		g_slist_free(buddies);
-
-		pidgin_log_show(PURPLE_LOG_IM, username, account);
-
-		pidgin_clear_cursor(gtkblist->window);
-	}
-
-	g_free(username);
-}
-
-/*
- * TODO - This needs to deal with logs of all types, not just IM logs.
- */
-void
-pidgin_dialogs_log(void)
-{
-	PurpleRequestFields *fields;
-	PurpleRequestFieldGroup *group;
-	PurpleRequestField *field;
-
-	fields = purple_request_fields_new();
-
-	group = purple_request_field_group_new(NULL);
-	purple_request_fields_add_group(fields, group);
-
-	field = purple_request_field_string_new("screenname", _("_Name"), NULL, FALSE);
-	purple_request_field_set_type_hint(field, "screenname-all");
-	purple_request_field_set_required(field, TRUE);
-	purple_request_field_group_add_field(group, field);
-
-	field = purple_request_field_account_new("account", _("_Account"), NULL);
-
-	/* purple_request_field_account_new() only sets a default value if you're
-	 * connected, and it sets it from the list of connected accounts.  Since
-	 * we're going to set show_all here, it makes sense to use the first
-	 * account, not the first connected account. */
-	if (purple_accounts_get_all() != NULL) {
-		purple_request_field_account_set_default_value(field, purple_accounts_get_all()->data);
-		purple_request_field_account_set_value(field, purple_accounts_get_all()->data);
-	}
-
-	purple_request_field_set_type_hint(field, "account");
-	purple_request_field_account_set_show_all(field, TRUE);
-	purple_request_field_set_visible(field,
-		(purple_accounts_get_all() != NULL &&
-		 purple_accounts_get_all()->next != NULL));
-	purple_request_field_set_required(field, TRUE);
-	purple_request_field_group_add_field(group, field);
-
-	purple_request_fields(
-	        purple_blist_get_default(), _("View User Log"), NULL,
-	        _("Please enter the username or alias of the person "
-	          "whose log you would like to view."),
-	        fields, _("OK"), G_CALLBACK(pidgin_dialogs_log_cb), _("Cancel"),
-	        NULL, NULL, NULL);
-}
-
-static void
 pidgin_dialogs_alias_buddy_cb(PurpleBuddy *buddy, const char *new_alias)
 {
 	purple_buddy_set_local_alias(buddy, new_alias);
diff --git a/pidgin/libpidgin.c b/pidgin/libpidgin.c
--- a/pidgin/libpidgin.c
+++ b/pidgin/libpidgin.c
@@ -50,7 +50,6 @@
 #include "pidginapplication.h"
 #include "pidgincore.h"
 #include "pidgindebug.h"
-#include "pidginlog.h"
 #include "pidginplugininfo.h"
 #include "pidginprefs.h"
 #include "pidginprivate.h"
@@ -239,7 +238,6 @@
 	pidgin_privacy_init();
 	pidgin_xfers_init();
 	pidgin_roomlist_init();
-	pidgin_log_init();
 	pidgin_medias_init();
 	pidgin_notify_init();
 }
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -47,7 +47,6 @@
 	'pidginiconname.c',
 	'pidgininfopane.c',
 	'pidgininvitedialog.c',
-	'pidginlog.c',
 	'pidginmenutray.c',
 	'pidginmessage.c',
 	'pidginmooddialog.c',
@@ -114,7 +113,6 @@
 	'pidginiconname.h',
 	'pidgininfopane.h',
 	'pidgininvitedialog.h',
-	'pidginlog.h',
 	'pidginmenutray.h',
 	'pidginmessage.h',
 	'pidginmooddialog.h',
diff --git a/pidgin/pidginapplication.c b/pidgin/pidginapplication.c
--- a/pidgin/pidginapplication.c
+++ b/pidgin/pidginapplication.c
@@ -44,7 +44,6 @@
 #include "pidginabout.h"
 #include "pidgincore.h"
 #include "pidgindebug.h"
-#include "pidginlog.h"
 #include "pidginmooddialog.h"
 #include "pidgin/pidginpluginsdialog.h"
 #include "pidginprefs.h"
@@ -280,20 +279,6 @@
 	pidgin_mood_dialog_show(NULL);
 }
 
-static void
-pidgin_application_system_log(GSimpleAction *simple, GVariant *parameter,
-                              gpointer data)
-{
-	pidgin_syslog_show();
-}
-
-static void
-pidgin_application_view_user_log(GSimpleAction *simple, GVariant *parameter,
-                                 gpointer data)
-{
-	pidgin_dialogs_log();
-}
-
 static GActionEntry app_entries[] = {
 	{
 		.name = "about",
@@ -346,12 +331,6 @@
 	}, {
 		.name = "set-mood",
 		.activate = pidgin_application_set_mood,
-	}, {
-		.name = "system-log",
-		.activate = pidgin_application_system_log,
-	}, {
-		.name = "view-user-log",
-		.activate = pidgin_application_view_user_log,
 	}
 };
 
diff --git a/pidgin/pidginlog.h b/pidgin/pidginlog.h
deleted file mode 100644
--- a/pidgin/pidginlog.h
+++ /dev/null
@@ -1,74 +0,0 @@
-/* pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
- */
-
-#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
-# error "only <pidgin.h> may be included directly"
-#endif
-
-#ifndef PIDGIN_LOG_H
-#define PIDGIN_LOG_H
-/**
- * SECTION:pidginlog
- * @section_id: pidgin-log
- * @short_description: <filename>pidginlog.h</filename>
- * @title: Log Viewer
- * @see_also: <link linkend="chapter-signals-gtklog">Log signals</link>
- */
-
-#include <purple.h>
-
-G_BEGIN_DECLS
-
-void pidgin_log_show(PurpleLogType type, const char *buddyname, PurpleAccount *account);
-void pidgin_log_show_contact(PurpleContact *contact);
-
-void pidgin_syslog_show(void);
-
-/**************************************************************************/
-/* Pidgin Log Subsystem                                                   */
-/**************************************************************************/
-
-/**
- * pidgin_log_init:
- *
- * Initializes the Pidgin log subsystem.
- */
-void pidgin_log_init(void);
-
-/**
- * pidgin_log_get_handle:
- *
- * Returns the Pidgin log subsystem handle.
- *
- * Returns: The Pidgin log subsystem handle.
- */
-void *pidgin_log_get_handle(void);
-
-/**
- * pidgin_log_uninit:
- *
- * Uninitializes the Pidgin log subsystem.
- */
-void pidgin_log_uninit(void);
-
-G_END_DECLS
-
-#endif /* PIDGIN_LOG_H */
diff --git a/pidgin/pidginlog.c b/pidgin/pidginlog.c
deleted file mode 100644
--- a/pidgin/pidginlog.c
+++ /dev/null
@@ -1,865 +0,0 @@
-/* pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
- */
-
-#include <glib/gi18n-lib.h>
-
-#include <gtk/gtk.h>
-
-#include <talkatu.h>
-
-#include <purple.h>
-
-#include "pidginlog.h"
-
-#include "gtkblist.h"
-#include "gtkutils.h"
-#include "pidgincore.h"
-
-#define PIDGIN_TYPE_LOG_VIEWER pidgin_log_viewer_get_type()
-/**
- * PidginLogViewer:
- * @logs:          The list of logs viewed in this viewer
- * @browse_button: The button for opening a log folder externally
- * @treestore:     The treestore containing said logs
- * @treeview:      The treeview representing said treestore
- * @log_view:      The talkatu view to display said logs
- * @log_buffer:    The talkatu buffer to hold said logs
- * @title_box:     The box containing the title (and optional icon)
- * @label:         The label at the top of the log viewer
- * @size_label:    The label to show the size of the logs
- * @entry:         The search entry, in which search terms are entered
- * @search:        The string currently being searched for
- *
- * A Pidgin Log Viewer.  You can look at logs with it.
- */
-G_DECLARE_FINAL_TYPE(PidginLogViewer, pidgin_log_viewer, PIDGIN, LOG_VIEWER, GtkDialog)
-
-struct _PidginLogViewer {
-	GtkDialog parent;
-
-	GList *logs;
-
-	GtkWidget *browse_button;
-
-	GtkTreeStore     *treestore;
-	GtkWidget        *treeview;
-	GtkWidget        *log_view;
-	TalkatuHtmlBuffer *log_buffer;
-
-	GtkWidget *title_box;
-	GtkLabel         *label;
-
-	GtkWidget *size_label;
-
-	GtkWidget *entry;
-	char *search;
-};
-
-G_DEFINE_TYPE(PidginLogViewer, pidgin_log_viewer, GTK_TYPE_DIALOG)
-
-static GHashTable *log_viewers = NULL;
-static void populate_log_tree(PidginLogViewer *lv);
-static PidginLogViewer *syslog_viewer = NULL;
-
-struct log_viewer_hash {
-	PurpleLogType type;
-	char *buddyname;
-	PurpleAccount *account;
-	PurpleContact *contact;
-};
-
-static guint log_viewer_hash(gconstpointer data)
-{
-	const struct log_viewer_hash *viewer = data;
-
-	if (viewer->contact != NULL)
-		return g_direct_hash(viewer->contact);
-
-	return g_str_hash(viewer->buddyname) +
-		g_str_hash(purple_account_get_username(viewer->account));
-}
-
-static gboolean log_viewer_equal(gconstpointer y, gconstpointer z)
-{
-	const struct log_viewer_hash *a, *b;
-	int ret;
-	char *normal;
-
-	a = y;
-	b = z;
-
-	if (a->contact != NULL) {
-		if (b->contact != NULL)
-			return (a->contact == b->contact);
-		else
-			return FALSE;
-	} else {
-		if (b->contact != NULL)
-			return FALSE;
-	}
-
-	normal = g_strdup(purple_normalize(a->account, a->buddyname));
-	ret = (a->account == b->account) &&
-		purple_strequal(normal, purple_normalize(b->account, b->buddyname));
-	g_free(normal);
-
-	return ret;
-}
-
-static void select_first_log(PidginLogViewer *lv)
-{
-	GtkTreeModel *model;
-	GtkTreeIter iter, it;
-	GtkTreePath *path;
-
-	model = GTK_TREE_MODEL(lv->treestore);
-
-	if (!gtk_tree_model_get_iter_first(model, &iter))
-		return;
-
-	path = gtk_tree_model_get_path(model, &iter);
-	if (gtk_tree_model_iter_children(model, &it, &iter))
-	{
-		gtk_tree_view_expand_row(GTK_TREE_VIEW(lv->treeview), path, TRUE);
-		path = gtk_tree_model_get_path(model, &it);
-	}
-
-	gtk_tree_selection_select_path(gtk_tree_view_get_selection(GTK_TREE_VIEW(lv->treeview)), path);
-
-	gtk_tree_path_free(path);
-}
-
-static gchar *log_get_date(PurpleLog *log)
-{
-	GDateTime *dt;
-	gchar *ret;
-	dt = g_date_time_to_local(log->time);
-	ret = g_date_time_format(dt, "%c");
-	g_date_time_unref(dt);
-	return ret;
-}
-
-static void
-entry_stop_search_cb(GtkWidget *entry, PidginLogViewer *lv)
-{
-	/* reset the tree */
-	gtk_tree_store_clear(lv->treestore);
-	populate_log_tree(lv);
-	g_clear_pointer(&lv->search, g_free);
-#if 0
-	webkit_web_view_unmark_text_matches(WEBKIT_WEB_VIEW(lv->log_view));
-#endif
-	select_first_log(lv);
-}
-
-static void
-entry_search_changed_cb(GtkWidget *button, PidginLogViewer *lv)
-{
-	const char *search_term = gtk_entry_get_text(GTK_ENTRY(lv->entry));
-	GList *logs;
-
-	if (lv->search != NULL && purple_strequal(lv->search, search_term))
-	{
-#if 0
-		/* Searching for the same term acts as "Find Next" */
-		webkit_web_view_search_text(WEBKIT_WEB_VIEW(lv->log_view), lv->search, FALSE, TRUE, TRUE);
-#endif
-		return;
-	}
-
-	pidgin_set_cursor(GTK_WIDGET(lv), GDK_WATCH);
-
-	g_free(lv->search);
-	lv->search = g_strdup(search_term);
-
-	gtk_tree_store_clear(lv->treestore);
-	talkatu_buffer_clear(TALKATU_BUFFER(lv->log_buffer));
-
-	for (logs = lv->logs; logs != NULL; logs = logs->next) {
-		char *read = purple_log_read((PurpleLog*)logs->data, NULL);
-		if (read && *read && purple_strcasestr(read, search_term)) {
-			GtkTreeIter iter;
-			PurpleLog *log = logs->data;
-			gchar *log_date = log_get_date(log);
-
-			gtk_tree_store_append (lv->treestore, &iter, NULL);
-			gtk_tree_store_set(lv->treestore, &iter,
-					   0, log_date,
-					   1, log, -1);
-			g_free(log_date);
-		}
-		g_free(read);
-	}
-
-	select_first_log(lv);
-	pidgin_clear_cursor(GTK_WIDGET(lv));
-}
-
-static void
-destroy_cb(GtkWidget *w, gint resp, struct log_viewer_hash *ht)
-{
-	PidginLogViewer *lv = syslog_viewer;
-
-#ifdef _WIN32
-	if (resp == GTK_RESPONSE_HELP) {
-		GtkTreeSelection *sel;
-		GtkTreeIter iter;
-		GtkTreeModel *model;
-		PurpleLog *log = NULL;
-		char *logdir;
-
-		if (ht != NULL)
-			lv = g_hash_table_lookup(log_viewers, ht);
-		model = GTK_TREE_MODEL(lv->treestore);
-
-		sel = gtk_tree_view_get_selection(GTK_TREE_VIEW(lv->treeview));
-		if (gtk_tree_selection_get_selected(sel, &model, &iter)) {
-			GValue val;
-
-			val.g_type = 0;
-			gtk_tree_model_get_value (model, &iter, 1, &val);
-			log = g_value_get_pointer(&val);
-			g_value_unset(&val);
-		}
-
-
-		if (log == NULL)
-			logdir = g_build_filename(purple_data_dir(), "logs", NULL);
-		else
-			logdir = purple_log_get_log_dir(log->type, log->name, log->account);
-
-		winpidgin_shell_execute(logdir, "explore", NULL);
-		g_free(logdir);
-		return;
-	}
-#endif
-
-	if (ht != NULL) {
-		lv = g_hash_table_lookup(log_viewers, ht);
-		g_hash_table_remove(log_viewers, ht);
-
-		g_free(ht->buddyname);
-		g_free(ht);
-	} else
-		syslog_viewer = NULL;
-
-	purple_request_close_with_handle(lv);
-
-	g_list_free_full(lv->logs, (GDestroyNotify)purple_log_free);
-
-	g_free(lv->search);
-
-	gtk_widget_destroy(w);
-}
-
-static void log_row_activated_cb(GtkTreeView *tv, GtkTreePath *path, GtkTreeViewColumn *col, PidginLogViewer *viewer) {
-	if (gtk_tree_view_row_expanded(tv, path))
-		gtk_tree_view_collapse_row(tv, path);
-	else
-		gtk_tree_view_expand_row(tv, path, FALSE);
-}
-
-static void delete_log_cleanup_cb(gpointer *data)
-{
-	g_free(data[1]); /* iter */
-	g_free(data);
-}
-
-static void delete_log_cb(gpointer *data)
-{
-	if (!purple_log_delete((PurpleLog *)data[2]))
-	{
-		purple_notify_error(NULL, NULL, _("Log Deletion Failed"),
-		                  _("Check permissions and try again."), NULL);
-	}
-	else
-	{
-		GtkTreeStore *treestore = data[0];
-		GtkTreeIter *iter = (GtkTreeIter *)data[1];
-		GtkTreePath *path = gtk_tree_model_get_path(GTK_TREE_MODEL(treestore), iter);
-		gboolean first = !gtk_tree_path_prev(path);
-
-		if (!gtk_tree_store_remove(treestore, iter) && first)
-		{
-			/* iter was the last child at its level */
-
-			if (gtk_tree_path_up(path))
-			{
-				gtk_tree_model_get_iter(GTK_TREE_MODEL(treestore), iter, path);
-				gtk_tree_store_remove(treestore, iter);
-			}
-		}
-
-		gtk_tree_path_free(path);
-	}
-
-	delete_log_cleanup_cb(data);
-}
-
-static void log_delete_log_cb(GtkWidget *menuitem, gpointer *data)
-{
-	PidginLogViewer *lv = data[0];
-	PurpleLog *log = data[1];
-	GtkTreeIter *iter = data[2];
-	gchar *time = log_get_date(log);
-	const char *name;
-	char *tmp;
-	gpointer *data2;
-
-	if (log->type == PURPLE_LOG_IM)
-	{
-		PurpleBuddy *buddy = purple_blist_find_buddy(log->account, log->name);
-		if (buddy != NULL)
-			name = purple_buddy_get_contact_alias(buddy);
-		else
-			name = log->name;
-
-		tmp = g_strdup_printf(_("Are you sure you want to permanently delete the log of the "
-		                        "conversation with %s which started at %s?"), name, time);
-	}
-	else if (log->type == PURPLE_LOG_CHAT)
-	{
-		PurpleChat *chat = purple_blist_find_chat(log->account, log->name);
-		if (chat != NULL)
-			name = purple_chat_get_name(chat);
-		else
-			name = log->name;
-
-		tmp = g_strdup_printf(_("Are you sure you want to permanently delete the log of the "
-		                        "conversation in %s which started at %s?"), name, time);
-	}
-	else if (log->type == PURPLE_LOG_SYSTEM)
-	{
-		tmp = g_strdup_printf(_("Are you sure you want to permanently delete the system log "
-		                        "which started at %s?"), time);
-	}
-	else {
-		g_free(time);
-		g_free(iter);
-		g_return_if_reached();
-	}
-
-	/* The only way to free data in all cases is to tie it to the menuitem with
-	 * g_object_set_data_full().  But, since we need to get some data down to
-	 * delete_log_cb() to delete the log from the log viewer after the file is
-	 * deleted, we have to allocate a new data array and make sure it gets freed
-	 * either way. */
-	data2 = g_new(gpointer, 3);
-	data2[0] = lv->treestore;
-	data2[1] = iter;
-	data2[2] = log;
-	purple_request_action(lv, NULL, _("Delete Log?"), tmp, 0,
-						NULL,
-						data2, 2,
-						_("Delete"), delete_log_cb,
-						_("Cancel"), delete_log_cleanup_cb);
-	g_free(time);
-	g_free(tmp);
-}
-
-static GtkWidget *
-log_create_popup_menu(GtkWidget *treeview, PidginLogViewer *lv, GtkTreeIter *iter)
-{
-	GValue val;
-	PurpleLog *log;
-	GtkWidget *menu;
-	GtkWidget *menuitem;
-
-	val.g_type = 0;
-	gtk_tree_model_get_value(GTK_TREE_MODEL(lv->treestore), iter, 1, &val);
-	log = g_value_get_pointer(&val);
-	if (log == NULL) {
-		g_free(iter);
-		return NULL;
-	}
-
-	menu = gtk_menu_new();
-	menuitem = gtk_menu_item_new_with_label(_("Delete Log..."));
-
-	if (purple_log_is_deletable(log)) {
-		gpointer *data = g_new(gpointer, 3);
-		data[0] = lv;
-		data[1] = log;
-		data[2] = iter;
-
-		g_signal_connect(menuitem, "activate", G_CALLBACK(log_delete_log_cb), data);
-		g_object_set_data_full(G_OBJECT(menuitem), "log-viewer-data", data, g_free);
-	} else {
-		gtk_widget_set_sensitive(menuitem, FALSE);
-	}
-	gtk_menu_shell_append(GTK_MENU_SHELL(menu), menuitem);
-	gtk_widget_show_all(menu);
-
-	return menu;
-}
-
-static gboolean log_button_press_cb(GtkWidget *treeview, GdkEventButton *event, PidginLogViewer *lv)
-{
-	if (gdk_event_triggers_context_menu((GdkEvent *)event)) {
-		GtkTreePath *path;
-		GtkTreeIter *iter;
-		GtkWidget *menu;
-
-		if (!gtk_tree_view_get_path_at_pos(GTK_TREE_VIEW(treeview), event->x, event->y, &path, NULL, NULL, NULL))
-			return FALSE;
-		iter = g_new(GtkTreeIter, 1);
-		gtk_tree_model_get_iter(GTK_TREE_MODEL(lv->treestore), iter, path);
-		gtk_tree_path_free(path);
-
-		menu = log_create_popup_menu(treeview, lv, iter);
-		if (menu) {
-			gtk_menu_popup_at_pointer(GTK_MENU(menu), (GdkEvent *)event);
-			return TRUE;
-		} else {
-			return FALSE;
-		}
-	}
-
-	return FALSE;
-}
-
-static gboolean log_popup_menu_cb(GtkWidget *treeview, PidginLogViewer *lv)
-{
-	GtkTreeSelection *sel;
-	GtkTreeIter *iter;
-	GtkWidget *menu;
-
-	iter = g_new(GtkTreeIter, 1);
-	sel = gtk_tree_view_get_selection(GTK_TREE_VIEW(lv->treeview));
-	if (!gtk_tree_selection_get_selected(sel, NULL, iter)) {
-		g_free(iter);
-		return FALSE;
-	}
-
-	menu = log_create_popup_menu(treeview, lv, iter);
-	if (menu) {
-		pidgin_menu_popup_at_treeview_selection(menu, treeview);
-		return TRUE;
-	} else {
-		return FALSE;
-	}
-}
-
-#if 0 /* FIXME: Add support in Talkatu for highlighting search terms. */
-static gboolean search_find_cb(gpointer data)
-{
-	PidginLogViewer *viewer = data;
-	webkit_web_view_mark_text_matches(WEBKIT_WEB_VIEW(viewer->log_view), viewer->search, FALSE, 0);
-	webkit_web_view_set_highlight_text_matches(WEBKIT_WEB_VIEW(viewer->log_view), TRUE);
-	webkit_web_view_search_text(WEBKIT_WEB_VIEW(viewer->log_view), viewer->search, FALSE, TRUE, TRUE);
-	return FALSE;
-}
-#endif
-
-static void log_select_cb(GtkTreeSelection *sel, PidginLogViewer *viewer) {
-	GtkTreeIter iter;
-	GValue val;
-	GtkTreeModel *model = GTK_TREE_MODEL(viewer->treestore);
-	PurpleLog *log = NULL;
-	PurpleLogReadFlags flags;
-	char *read = NULL;
-
-	if (!gtk_tree_selection_get_selected(sel, &model, &iter))
-		return;
-
-	val.g_type = 0;
-	gtk_tree_model_get_value (model, &iter, 1, &val);
-	log = g_value_get_pointer(&val);
-	g_value_unset(&val);
-
-	if (log == NULL)
-		return;
-
-	pidgin_set_cursor(GTK_WIDGET(viewer), GDK_WATCH);
-
-	if (log->type != PURPLE_LOG_SYSTEM) {
-		gchar *log_date = log_get_date(log);
-		gchar *title;
-		if (log->type == PURPLE_LOG_CHAT) {
-			title = g_strdup_printf(_("Conversation in %s on %s"),
-			                        log->name, log_date);
-		} else {
-			title = g_strdup_printf(_("Conversation with %s on %s"),
-			                        log->name, log_date);
-		}
-
-		gtk_label_set_markup(viewer->label, title);
-		g_free(log_date);
-		g_free(title);
-	}
-
-	read = purple_log_read(log, &flags);
-
-	talkatu_buffer_clear(TALKATU_BUFFER(viewer->log_buffer));
-
-	purple_signal_emit(pidgin_log_get_handle(), "log-displaying", viewer, log);
-	
-	/* plaintext log (html one starts with <html> tag) */
-	if (read[0] != '<')
-	{
-		char *newRead = purple_strreplace(read, "\n", "<br>");
-		g_free(read);
-		read = newRead;
-	}
-
-	talkatu_markup_set_html(TALKATU_BUFFER(viewer->log_buffer), read, -1);
-	g_free(read);
-
-	if (viewer->search != NULL) {
-#if 0 /* FIXME: Add support in Talkatu for highlighting search terms. */
-		webkit_web_view_unmark_text_matches(WEBKIT_WEB_VIEW(viewer->log_view));
-		g_idle_add(search_find_cb, viewer);
-#endif
-	}
-
-	pidgin_clear_cursor(GTK_WIDGET(viewer));
-}
-
-/* I want to make this smarter, but haven't come up with a cool algorithm to do so, yet.
- * I want the tree to be divided into groups like "Today," "Yesterday," "Last week,"
- * "August," "2002," etc. based on how many conversation took place in each subdivision.
- *
- * For now, I'll just make it a flat list.
- */
-static void populate_log_tree(PidginLogViewer *lv)
-     /* Logs are made from trees in real life.
-        This is a tree made from logs */
-{
-	gchar *month;
-	char prev_top_month[30] = "";
-	GtkTreeIter toplevel, child;
-	GList *logs = lv->logs;
-
-	while (logs != NULL) {
-		PurpleLog *log = logs->data;
-		GDateTime *dt;
-		gchar *log_date;
-
-		dt = g_date_time_to_local(log->time);
-		month = g_date_time_format(dt, _("%B %Y"));
-
-		if (!purple_strequal(month, prev_top_month)) {
-			/* top level */
-			gtk_tree_store_append(lv->treestore, &toplevel, NULL);
-			gtk_tree_store_set(lv->treestore, &toplevel, 0, month, 1, NULL, -1);
-
-			g_strlcpy(prev_top_month, month, sizeof(prev_top_month));
-		}
-
-		/* sub */
-		log_date = g_date_time_format(dt, "%c");
-		gtk_tree_store_append(lv->treestore, &child, &toplevel);
-		gtk_tree_store_set(lv->treestore, &child,
-						   0, log_date,
-						   1, log,
-						   -1);
-
-		g_free(log_date);
-		g_free(month);
-		g_date_time_unref(dt);
-		logs = logs->next;
-	}
-}
-
-static PidginLogViewer *
-display_log_viewer(struct log_viewer_hash *ht, GList *logs, const char *title,
-                   int log_size)
-{
-	PidginLogViewer *lv;
-
-	if (logs == NULL)
-	{
-		/* No logs were found. */
-		const char *log_preferences = NULL;
-
-		if (ht == NULL) {
-			if (!purple_prefs_get_bool("/purple/logging/log_system"))
-				log_preferences = _("System events will only be logged if the \"Log all status changes to system log\" preference is enabled.");
-		} else {
-			if (ht->type == PURPLE_LOG_IM) {
-				if (!purple_prefs_get_bool("/purple/logging/log_ims"))
-					log_preferences = _("Instant messages will only be logged if the \"Log all instant messages\" preference is enabled.");
-			} else if (ht->type == PURPLE_LOG_CHAT) {
-				if (!purple_prefs_get_bool("/purple/logging/log_chats"))
-					log_preferences = _("Chats will only be logged if the \"Log all chats\" preference is enabled.");
-			}
-			g_free(ht->buddyname);
-			g_free(ht);
-		}
-
-		purple_notify_info(NULL, title, _("No logs were found"), log_preferences, NULL);
-		return NULL;
-	}
-
-	/* Window ***********/
-	lv = g_object_new(PIDGIN_TYPE_LOG_VIEWER, NULL);
-	gtk_window_set_title(GTK_WINDOW(lv), title);
-
-	lv->logs = logs;
-
-	if (ht != NULL)
-		g_hash_table_insert(log_viewers, ht, lv);
-
-#ifndef _WIN32
-	gtk_widget_hide(lv->browse_button);
-#endif
-
-	g_signal_connect(G_OBJECT(lv), "response", G_CALLBACK(destroy_cb), ht);
-
-	/* Label ************/
-	gtk_label_set_markup(lv->label, title);
-
-	/* List *************/
-	populate_log_tree(lv);
-
-	/* Log size ************/
-	if(log_size) {
-		char *sz_txt = g_format_size(log_size);
-		char *text = g_strdup_printf("<span weight='bold'>%s</span> %s",
-		                             _("Total log size:"), sz_txt);
-		gtk_label_set_markup(GTK_LABEL(lv->size_label), text);
-		g_free(sz_txt);
-		g_free(text);
-	} else {
-		gtk_widget_hide(lv->size_label);
-	}
-
-	select_first_log(lv);
-
-	gtk_widget_show(GTK_WIDGET(lv));
-
-	return lv;
-}
-
-/****************************************************************************
- * GObject Implementation
- ****************************************************************************/
-static void
-pidgin_log_viewer_class_init(PidginLogViewerClass *klass)
-{
-	GtkWidgetClass *widget_class = GTK_WIDGET_CLASS(klass);
-
-	gtk_widget_class_set_template_from_resource(
-	        widget_class, "/im/pidgin/Pidgin3/Log/log-viewer.ui");
-
-	gtk_widget_class_bind_template_child_internal(
-	        widget_class, PidginLogViewer, browse_button);
-
-	gtk_widget_class_bind_template_child_internal(
-	        widget_class, PidginLogViewer, title_box);
-	gtk_widget_class_bind_template_child_internal(widget_class,
-	                                              PidginLogViewer, label);
-
-	gtk_widget_class_bind_template_child_internal(
-	        widget_class, PidginLogViewer, treeview);
-	gtk_widget_class_bind_template_child_internal(
-	        widget_class, PidginLogViewer, treestore);
-	gtk_widget_class_bind_template_callback(widget_class, log_select_cb);
-	gtk_widget_class_bind_template_callback(widget_class,
-	                                        log_row_activated_cb);
-	gtk_widget_class_bind_template_callback(widget_class,
-	                                        log_button_press_cb);
-	gtk_widget_class_bind_template_callback(widget_class,
-	                                        log_popup_menu_cb);
-
-	gtk_widget_class_bind_template_child_internal(widget_class,
-	                                              PidginLogViewer, entry);
-	gtk_widget_class_bind_template_callback(widget_class,
-	                                        entry_search_changed_cb);
-	gtk_widget_class_bind_template_callback(widget_class,
-	                                        entry_stop_search_cb);
-
-	gtk_widget_class_bind_template_child_internal(
-	        widget_class, PidginLogViewer, log_view);
-	gtk_widget_class_bind_template_child_internal(
-	        widget_class, PidginLogViewer, log_buffer);
-
-	gtk_widget_class_bind_template_child_internal(
-	        widget_class, PidginLogViewer, size_label);
-}
-
-static void
-pidgin_log_viewer_init(PidginLogViewer *self)
-{
-	gtk_widget_init_template(GTK_WIDGET(self));
-}
-
-/****************************************************************************
- * Public API
- ****************************************************************************/
-
-void pidgin_log_show(PurpleLogType type, const char *buddyname, PurpleAccount *account) {
-	struct log_viewer_hash *ht;
-	PidginLogViewer *lv = NULL;
-	const char *name = buddyname;
-	char *title;
-
-	g_return_if_fail(account != NULL);
-	g_return_if_fail(buddyname != NULL);
-
-	ht = g_new0(struct log_viewer_hash, 1);
-
-	ht->type = type;
-	ht->buddyname = g_strdup(buddyname);
-	ht->account = account;
-
-	if (log_viewers == NULL) {
-		log_viewers = g_hash_table_new(log_viewer_hash, log_viewer_equal);
-	} else if ((lv = g_hash_table_lookup(log_viewers, ht))) {
-		gtk_window_present(GTK_WINDOW(lv));
-		g_free(ht->buddyname);
-		g_free(ht);
-		return;
-	}
-
-	if (type == PURPLE_LOG_CHAT) {
-		PurpleChat *chat;
-
-		chat = purple_blist_find_chat(account, buddyname);
-		if (chat != NULL)
-			name = purple_chat_get_name(chat);
-
-		title = g_strdup_printf(_("Conversations in %s"), name);
-	} else {
-		PurpleBuddy *buddy;
-
-		buddy = purple_blist_find_buddy(account, buddyname);
-		if (buddy != NULL)
-			name = purple_buddy_get_contact_alias(buddy);
-
-		title = g_strdup_printf(_("Conversations with %s"), name);
-	}
-
-	display_log_viewer(ht, purple_log_get_logs(type, buddyname, account),
-			title, purple_log_get_total_size(type, buddyname, account));
-
-	g_free(title);
-}
-
-void pidgin_log_show_contact(PurpleContact *contact) {
-	struct log_viewer_hash *ht;
-	PurpleBlistNode *child;
-	PidginLogViewer *lv = NULL;
-	GList *logs = NULL;
-	const char *name = NULL;
-	char *title;
-	int total_log_size = 0;
-
-	g_return_if_fail(contact != NULL);
-
-	ht = g_new0(struct log_viewer_hash, 1);
-	ht->type = PURPLE_LOG_IM;
-	ht->contact = contact;
-
-	if (log_viewers == NULL) {
-		log_viewers = g_hash_table_new(log_viewer_hash, log_viewer_equal);
-	} else if ((lv = g_hash_table_lookup(log_viewers, ht))) {
-		gtk_window_present(GTK_WINDOW(lv));
-		g_free(ht);
-		return;
-	}
-
-	for (child = purple_blist_node_get_first_child((PurpleBlistNode*)contact) ;
-	     child != NULL ;
-	     child = purple_blist_node_get_sibling_next(child)) {
-		const char *buddy_name;
-		PurpleAccount *account;
-
-		if (!PURPLE_IS_BUDDY(child))
-			continue;
-
-		buddy_name = purple_buddy_get_name((PurpleBuddy *)child);
-		account = purple_buddy_get_account((PurpleBuddy *)child);
-		logs = g_list_concat(purple_log_get_logs(PURPLE_LOG_IM, buddy_name, account), logs);
-		total_log_size += purple_log_get_total_size(PURPLE_LOG_IM, buddy_name, account);
-	}
-	logs = g_list_sort(logs, purple_log_compare);
-
-	name = purple_contact_get_alias(contact);
-
-	/* This will happen if the contact doesn't have an alias,
-	 * and none of the contact's buddies are online.
-	 * There is probably a better way to deal with this. */
-	if (name == NULL) {
-		if (PURPLE_BLIST_NODE(contact)->child != NULL &&
-				PURPLE_IS_BUDDY(PURPLE_BLIST_NODE(contact)->child))
-			name = purple_buddy_get_contact_alias(PURPLE_BUDDY(
-					PURPLE_BLIST_NODE(contact)->child));
-		if (name == NULL)
-			name = "";
-	}
-
-	title = g_strdup_printf(_("Conversations with %s"), name);
-	display_log_viewer(ht, logs, title, total_log_size);
-	g_free(title);
-}
-
-void pidgin_syslog_show()
-{
-	GList *accounts = NULL;
-	GList *logs = NULL;
-
-	if (syslog_viewer != NULL) {
-		gtk_window_present(GTK_WINDOW(syslog_viewer));
-		return;
-	}
-
-	for(accounts = purple_accounts_get_all(); accounts != NULL; accounts = accounts->next) {
-
-		PurpleAccount *account = (PurpleAccount *)accounts->data;
-		if(purple_account_get_protocol(account) == NULL)
-			continue;
-
-		logs = g_list_concat(purple_log_get_system_logs(account), logs);
-	}
-	logs = g_list_sort(logs, purple_log_compare);
-
-	syslog_viewer = display_log_viewer(NULL, logs, _("System Log"), 0);
-}
-
-/****************************************************************************
- * PIDGIN LOG SUBSYSTEM *****************************************************
- ****************************************************************************/
-
-void *
-pidgin_log_get_handle(void)
-{
-	static int handle;
-
-	return &handle;
-}
-
-void pidgin_log_init(void)
-{
-	void *handle = pidgin_log_get_handle();
-
-	purple_signal_register(handle, "log-displaying",
-	                     purple_marshal_VOID__POINTER_POINTER,
-	                     G_TYPE_NONE, 2,
-	                     G_TYPE_POINTER, /* (PidginLogViewer *) */
-	                     PURPLE_TYPE_LOG);
-}
-
-void
-pidgin_log_uninit(void)
-{
-	purple_signals_unregister_by_instance(pidgin_log_get_handle());
-}
diff --git a/pidgin/resources/BuddyList/window.ui b/pidgin/resources/BuddyList/window.ui
--- a/pidgin/resources/BuddyList/window.ui
+++ b/pidgin/resources/BuddyList/window.ui
@@ -80,16 +80,6 @@
                       </object>
                     </child>
                     <child>
-                      <object class="GtkMenuItem" id="view_user_log">
-                        <property name="visible">True</property>
-                        <property name="can-focus">False</property>
-                        <property name="action-name">app.view-user-log</property>
-                        <property name="label" translatable="yes">View User _Log...</property>
-                        <property name="use-underline">True</property>
-                        <accelerator key="l" signal="activate" modifiers="GDK_CONTROL_MASK"/>
-                      </object>
-                    </child>
-                    <child>
                       <object class="GtkSeparatorMenuItem">
                         <property name="visible">True</property>
                         <property name="can-focus">False</property>
@@ -288,15 +278,6 @@
                         <property name="use-underline">True</property>
                       </object>
                     </child>
-                    <child>
-                      <object class="GtkMenuItem" id="system_log">
-                        <property name="visible">True</property>
-                        <property name="can-focus">False</property>
-                        <property name="action-name">app.system-log</property>
-                        <property name="label" translatable="yes">System _Log</property>
-                        <property name="use-underline">True</property>
-                      </object>
-                    </child>
                   </object>
                 </child>
               </object>
diff --git a/pidgin/resources/Conversations/menu.ui b/pidgin/resources/Conversations/menu.ui
--- a/pidgin/resources/Conversations/menu.ui
+++ b/pidgin/resources/Conversations/menu.ui
@@ -46,10 +46,6 @@
           <attribute name="accel">&lt;Primary&gt;F</attribute>
         </item>
         <item>
-          <attribute name="label" translatable="yes">View _Log</attribute>
-          <attribute name="action">win.view-log</attribute>
-        </item>
-        <item>
           <attribute name="label" translatable="yes">_Save As...</attribute>
           <attribute name="action">win.save-as</attribute>
         </item>
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -357,7 +357,6 @@
 pidgin/pidginiconname.c
 pidgin/pidgininfopane.c
 pidgin/pidgininvitedialog.c
-pidgin/pidginlog.c
 pidgin/pidginmenutray.c
 pidgin/pidginmessage.c
 pidgin/pidginmooddialog.c
